# Class IndicatedRow

java.lang.Object
uk.ac.starlink.ttools.plot2.IndicatedRow

public class IndicatedRow extends Object
Represents a row from a dataset in relation to a reference position.

Since:
  21 Nov 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`IndicatedRow(long index, double distance, double[] dpos)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`double[]`
`getDataPos()`
Returns the row position in data coordinates.
`double`
`getDistance()`
Returns the distance of the row position from the reference position.
`long`
`getIndex()`
Returns the row index.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IndicatedRow

public IndicatedRow(long index, double distance, double[] dpos)
Constructor.

Parameters:
  `index` - row index
  `distance` - distance from reference position in graphics coordinates
  `dpos` - row position in data coordinates

## Method Details

### getIndex

public long getIndex()
Returns the row index.

Returns:
  row index

### getDistance

public double getDistance()
Returns the distance of the row position from the reference position.

Returns:
  distance

### getDataPos

public double[] getDataPos()
Returns the row position in data coordinates.

Returns:
  row position coordinates

### toString

public String toString()

Overrides:
  `toString` in class `Object`